Subject: Re: 'less' problem
From: [email-masked] (Gilligan)

15 Jul 1997 08:24:37 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (Win95; I)
Original-To: Jerome Gay <[email-masked]>
Original-CC: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Jerome Gay wrote:
> 
> Hi folks,
> 
> I'm a newbie to the gnu-win32 stuff.
> I've gnu-win32 b18 installed, and I just installed the man-14h
> binaries
> from David Coe as well as groff 1.10 and less 3.21 binaries (from Mark
> Nudel) on my PC running Win95.
> 
> But... if I run a simple 'man man', I got :
> 
> Error executing formatting or display command.
> System command (cd /usr/man ; /usr/bin/tbl /usr/man/man1/man.1 |
> /usr/bin/troff -mandoc -Tascii | /usr/bin/grotty -B |
> /usr/local/bin/less
> -isc) exited with status 32512.
> No manual entry for man
> 
> C:\gnuwin32\b18\H-i386-cygwin32 is mounted as /usr
> 
> After a few tries, it appears that if I type 'cat /usr/man/man1/man.1'
> from my home directory (/home) it works, and 'less
> /usr/man/man1/man.1'
> gives 'No such file or directory' ....
> Is it a known problem with 'less' ?
> 
> Any ideas/help will be welcome !   Thanks
> 
> Jerome

It sounds as though your less is not compiled for cygwin32.  Get the
sources from prep.ai.mit.edu /pub/gnu, and it should compile rather
easily.  The configure script doesn't add the regex support
automatically, so if you want to do searching within less, you'll have
to add the object file rx.o (or was it regex.o?) to the Makefile
afterwards.  
 
-- 
Due to the abundance of spamming, action has been taken.  Please remove
the
underscore (_) from my address when replying to me.  Spammers, please
leave
the underscore in.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".